package com.mortals.xhx.module.device.service.impl;

import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.common.utils.StringUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.device.dao.DeviceDao;
import com.mortals.xhx.module.device.model.DeviceEntity;
import com.mortals.xhx.module.device.service.DeviceService;
/**
* DeviceService
* 证照柜设备 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("deviceService")
public class DeviceServiceImpl extends AbstractCRUDServiceImpl<DeviceDao, DeviceEntity, Long> implements DeviceService {

    @Override
    protected void saveBefore(DeviceEntity entity, Context context) throws AppException {
        if(StringUtils.isEmpty(entity.getDeviceName())){
            throw new AppException("设备名称不能为空");
        }
        if(StringUtils.isEmpty(entity.getDeviceMac())){
            throw new AppException("Mac地址不能为空");
        }
        if(StringUtils.isEmpty(entity.getLeadingOfficial())){
            throw new AppException("负责人不能为空");
        }
        if(StringUtils.isEmpty(entity.getTelephone())){
            throw new AppException("手机号不能为空");
        }
        if(StringUtils.isEmpty(entity.getManagePWD())){
            throw new AppException("管理密码不能为空");
        }
    }

    @Override
    protected DeviceEntity findBefore(DeviceEntity params, PageInfo pageInfo, Context context) throws AppException {
        if(StringUtils.isNotEmpty(params.getDeviceName())){
            params.setDeviceName("%".concat(params.getDeviceName()).concat("%"));
        }
        return params;
    }
}