package com.mortals.xhx.module.record.web;

import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.base.system.user.model.UserQuery;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.code.PrintStatus;
import com.mortals.xhx.common.code.StatusEnum;
import com.mortals.xhx.module.record.model.PrintLogEntity;
import com.mortals.xhx.module.record.service.PrintLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

import static java.util.stream.Collectors.toMap;

/**
*
* 证照打印记录
*
* @author zxfei
* @date 2022-10-14
*/
@RestController
@RequestMapping("print/log")
public class PrintLogController extends BaseCRUDJsonBodyMappingController<PrintLogService,PrintLogEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private UserService userService;

    public PrintLogController(){
        super.setModuleDesc( "证照打印记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"status", IBaseEnum.getEnumMap(StatusEnum.class));
        this.addDict(model,"printStatus", IBaseEnum.getEnumMap(PrintStatus.class));
        this.addDict(model, "createUserId", userService.find(new UserQuery()).stream().collect(toMap(x -> x.getId().toString(), y -> y.getRealName(), (o, n) -> n)));
        super.init(model, context);
    }

}